package com.friday.tooldriver.constants.infodator;

public class InfodatorRobotState {

    public enum ApproveStateEnum{
        WAITING(0, "等待中"),
        AVAILABLE(1, "可用"),
        UNAVAILABLE(2, "禁用"),
        ;
        private Integer state;
        private String desc;

        ApproveStateEnum(Integer state, String desc){
            this.state = state;
            this.desc = desc;
        }

        public Integer getState() {
            return state;
        }

        public String getDesc() {
            return desc;
        }

    }

    public enum RunningStateEnum{
        Available(1,"可用"),
        Busy(2, "忙碌")
        ;
        private Integer state;
        private String desc;

        RunningStateEnum(Integer state, String desc){
            this.state = state;
            this.desc = desc;
        }

        public Integer getState() {
            return state;
        }

        public String getDesc() {
            return desc;
        }

    }

    public enum OnlineStateEnum{
        AVAILABLE(1, "在线"),
        UNAVAILABLE(2, "离线"),
        ;
        private Integer state;
        private String desc;

        OnlineStateEnum(Integer state, String desc){
            this.state = state;
            this.desc = desc;
        }

        public Integer getState() {
            return state;
        }

        public String getDesc() {
            return desc;
        }

    }

}
